8dfdd9bc7abaeaec5d0904af8c16643cae961ec0
[working/Evergreen.git] / Open-ILS / src / extras / install / Makefile.ubuntu-lucid
1 # install files for Ubuntu 10.04 LTS Lucid Lynx
2
3 DIR = $(dir $(lastword $(MAKEFILE_LIST)))
4 APT_SAFE_TOOL = aptitude -P
5
6 # We need a recent version of Yaz
7 # Ubuntu 10.04 comes with 3.0.52
8 YAZ=yaz-4.2.32
9 YAZ_HOST=http://ftp.indexdata.dk/pub/yaz
10
11 export DEBS = \
12         apache2-prefork-dev\
13         aspell\
14         aspell-en\
15         libbusiness-creditcard-perl\
16         libbusiness-isbn-data-perl\
17         libbusiness-isbn-perl\
18         libbusiness-onlinepayment-authorizenet-perl\
19         libbusiness-onlinepayment-perl\
20         libdatetime-format-builder-perl\
21         libdatetime-format-iso8601-perl\
22         libdatetime-format-mail-perl\
23         libdatetime-perl\
24         libdatetime-set-perl\
25         libdatetime-timezone-perl\
26         libdbd-pg-perl\
27         libemail-send-perl\
28         libemail-simple-perl\
29         libgd-graph3d-perl\
30         liblocale-maketext-lexicon-perl\
31         liblog-log4perl-perl\
32         libmarc-charset-perl \
33         libmarc-xml-perl \
34         libncurses5-dev\
35         libnet-ip-perl\
36         libnet-ldap-perl \
37         libnet-server-perl\
38         libnet-ssh2-perl\
39         libnet-z3950-zoom-perl \
40         libnspr4-dev\
41         libole-storage-lite-perl\
42         libparent-perl\
43         libspreadsheet-writeexcel-perl\
44         libssh2-1-dev\
45         libtext-aspell-perl\
46         libtext-csv-perl\
47         libuniversal-require-perl\
48         libunix-syslog-perl\
49     libuuid-tiny-perl\
50         libbz2-dev\
51         libtest-warn-perl\
52         libtest-output-perl\
53         libsoap-lite-perl
54
55 export DEB_APACHE_MODS = \
56     expires\
57     include\
58     proxy\
59     proxy_http\
60     rewrite
61
62 export DEB_APACHE_DISMODS = \
63     deflate
64
65 export CPAN_MODULES = \
66         Business::ISSN \
67         Business::OnlinePayment::PayPal \
68         Business::Stripe \
69         Library::CallNumber::LC \
70         MARC::Record \
71         Net::Z3950::Simple2ZOOM \
72         RPC::XML \
73         Template::Plugin::POSIX \
74         SRU \
75         Rose::URI \
76         Safe
77
78 export CPAN_MODULES_FORCE = \
79         Class::DBI::Frozen::301
80
81 PGSQL_SERVER_DEBS_91 = \
82         postgresql-9.1 \
83         postgresql-contrib-9.1 \
84         postgresql-plperl-9.1 \
85         postgresql-server-dev-9.1
86
87 PGSQL_CLIENT_DEBS_91 = \
88         libpq5 \
89         libpq-dev \
90         postgresql-client-9.1
91
92 all: install_yaz
93         make -f $(DIR)/Makefile.debian install_debs
94         make -f $(DIR)/Makefile.debian test_for_libdbi_pkg
95         make -f $(DIR)/Makefile.common install_net_z3950_simpleserver
96         make -f $(DIR)/Makefile.common install_cpan
97         make -f $(DIR)/Makefile.common install_cpan_force
98         make -f $(DIR)/Makefile.debian install_js_sm
99         make -f $(DIR)/Makefile.debian debian_sys_config
100
101 install_yaz:
102         if [ ! -d $(YAZ) ]; then wget $(YAZ_HOST)/$(YAZ).tar.gz; fi;
103         tar xzf $(YAZ).tar.gz
104         cd $(YAZ) && ./configure && make && make install && ldconfig
105
106 install_pgsql_server_debs_91:
107         $(APT_TOOL) install $(PGSQL_SERVER_DEBS_91)
108
109 install_pgsql_client_backport_debs_91:
110         @if [ `$(APT_TOOL) versions libpq5 | grep ^i|sed 's/^i[ \t]*//'|cut -d. -f1` -eq 8 ]; \
111                 then \
112                 echo -e "libpq5 / libpq-dev are installed as part of OpenSRF (a dependency" \
113                 "of apache2-prefork-dev), but these are the 8.4 versions and they" \
114                 "conflict with the 9.1 versions - so remove them, install the pinned" \
115                 "backports of 9.1, then reinstall the apache2-prefork-dev package.\n\n" \
116                 "**WARNING**: Saying 'Yes' to this step will _remove_ any PostgreSQL" \
117                 "databases that might currently exist on this machine." && \
118                 $(APT_SAFE_TOOL) remove libpq5 libpq-dev ; \
119         fi
120         $(APT_TOOL) install $(PGSQL_CLIENT_DEBS_91)
121         $(APT_TOOL) install apache2-prefork-dev
122
123 clean:
124         make -f $(DIR)/Makefile.common clean
125         make -f $(DIR)/Makefile.debian clean
126
127 # vim:noet:sw=4:ts=4: